/// <reference types="node" />
import type * as http from "http";
export declare type Backend = "Mock" | "Redis";
export declare function describeAcrossBackends(topic: string, runTests: (backend: Backend) => void): void;
declare type Signal = ((key?: string) => Promise<void>) & {
    signal(key?: string): void;
};
export declare function makeSignal(): Signal;
export declare function waitUntil(predicate: () => boolean, butMax: number, interval?: number): Promise<void>;
export declare function expectToBeInRange(value: number, [from, to]: [from: number, to: number]): void;
export declare function expectToHaveEqualMembers(actual: any[], expected: any[]): void;
export declare function stopTime(doIt: () => Promise<void>): Promise<number>;
export declare function getAddress(server: http.Server): string;
export {};
